## noris-nagios-mysqlplugins 7.2

=== Makefile ===
build:
	mkdir -p usr/share/man/man1
	pod2man usr/lib/nagios/plugins/check_mysql_processes --section=1 usr/share/man/man1/check_mysql_processes.1
	pod2man usr/lib/nagios/plugins/check_mysql_longprocs --section=1 usr/share/man/man1/check_mysql_longprocs.1

install:
	cp -r usr/ etc/ ${DESTDIR}/

clean:
	rm -rf usr/share/man
	rm -f *-stamp

## noris-nagios-mysqlplugins 4.0-9

=== debian/changelog ===
noris-nagios-mysqlplugins (4.0-9) stable; urgency=low

  * Fixed template for mysql_processes.
    - One Abfrage is a query. More Abfragen are queries, not querys.

 -- Hardy Kestin <hardy@noris.net>  Thu, 10 Jan 2008 11:11:38 +0100

noris-nagios-mysqlplugins (4.0-8) stable; urgency=low

  * Added Wrapper for check_mysql_longprocs.
    - Fixes RT#392433.

 -- Hardy Kestin <hardy@noris.net>  Thu, 10 Jan 2008 10:08:42 +0100

noris-nagios-mysqlplugins (4.0-7) stable; urgency=low

  * Added manpage for check_mysql_longprocs.
  * Fixed typo in template mysql_processes.cfg.

 -- Hardy Kestin <hardy@noris.net>  Tue, 26 Jun 2007 17:31:20 +0200

noris-nagios-mysqlplugins (4.0-6) stable; urgency=low

  * Added Workaround for Embedded-Perl-Bug (RT#343335).
    - Explicit Call of Interpreter.

 -- Hardy Kestin <hardy@noris.net>  Tue, 19 Jun 2007 15:27:17 +0200

noris-nagios-mysqlplugins (4.0-5) stable; urgency=low

  * defaultdatabase == monitoring in mysql_processes 

 -- Andrae Marx <cyber@noris.net>  Tue, 19 Jun 2007 15:20:37 +0200

noris-nagios-mysqlplugins (4.0-4) stable; urgency=low

  * Added template fior check_long_queries.
  * Changed template for check_processes.

 -- Hardy Kestin <hardy@noris.net>  Mon,  4 Jun 2007 12:55:18 +0200

noris-nagios-mysqlplugins (4.0-3) stable; urgency=low

  * Added more mysql-Plugins.
    - Added templates for them.

 -- Hardy Kestin <hardy@noris.net>  Wed, 30 May 2007 15:37:37 +0200

noris-nagios-mysqlplugins (4.0-2) stable; urgency=low

  * Fixed config-template for check_mysql_binlogs.

 -- Hardy Kestin <hardy@noris.net>  Tue, 29 May 2007 17:57:27 +0200

noris-nagios-mysqlplugins (4.0-1) stable; urgency=low

  * Initial release (Affects: RT#311418, RT#332127)

 -- Hardy Kestin <hardy@noris.net>  Tue, 29 May 2007 17:20:26 +0200

=== debian/control ===
Source: noris-nagios-mysqlplugins
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: noris-nagios-mysqlplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, perl-modules, libnetsaint-noris-perl (>> 1.1), nagios | nagios2 | nagios-nrpe-server | noris-nrpe-server
Build-Depends: libdbi-perl
Replaces: noris-nagios-miscplugins
Conflicts: noris-nagios-miscplugins (<< 4.0)
Description: MySQL-Plugins for nagios.
 Nagios is a replacement of the Netsaint project. It accept and uses the
 previous Netsaint modules transparently.
 .
 Nagios is a host/service/network monitoring and management system. It has
 the following features:
 .
 o  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
    PING, etc.)
 o  Plugin interface to allow for user-developed service checks
 o  Contact notifications when problems occur and get resolved (via email,
    pager, or user-defined method)
 o  Ability to define event handlers to be run during service or host events
    (for proactive problem resolution)
 o  Web output (current status, notifications, problem history, log file, etc.)
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package contains mysql plugins for Nagios and NetSaint.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-nagios-mysqlplugins.sgml > noris-nagios-mysqlplugins.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-mysqlplugins.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-nagios-mysqlplugins install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-mysqlplugins 5.0-7

=== debian/changelog ===
noris-nagios-mysqlplugins (5.0-7) stable; urgency=low

  * made check_mysql_date_age more flexible

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 08 Feb 2010 12:23:11 +0100

noris-nagios-mysqlplugins (5.0-6) stable; urgency=low

  * added check_mysql_status 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 11 Nov 2009 16:44:40 +0100

noris-nagios-mysqlplugins (5.0-5) stable; urgency=low

  * added check_mysql_health 

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 14 Oct 2009 09:25:16 +0200

noris-nagios-mysqlplugins (5.0-4) stable; urgency=low

  * edit mysql_date_age.cfg 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 21 Aug 2009 18:05:05 +0200

noris-nagios-mysqlplugins (5.0-3) stable; urgency=low

  * added mysql_date_age.cfg 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 03 Aug 2009 14:02:31 +0200

noris-nagios-mysqlplugins (5.0-2) lenny; urgency=low

  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 16 Apr 2009 09:14:11 +0200

noris-nagios-mysqlplugins (5.0-1) stable; urgency=low

  * New version for lenny

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 15 Apr 2009 12:10:19 +0200

noris-nagios-mysqlplugins (4.1-1) stable; urgency=low

  * #504015: new plugin check_mysql_date_age

 -- Martin H. Sluka <fany@noris.net>  Thu, 09 Apr 2009 11:13:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,8 @@
 
 Package: noris-nagios-mysqlplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, perl-modules, libnetsaint-noris-perl (>> 1.1), nagios | nagios2 | nagios-nrpe-server | noris-nrpe-server
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, perl-modules, libnetsaint-noris-perl (>> 1.1), mysql-client, nagios | nagios2 | nagios-nrpe-server | noris-nrpe-server, nagios-plugins-basic
 Build-Depends: libdbi-perl
-Replaces: noris-nagios-miscplugins
-Conflicts: noris-nagios-miscplugins (<< 4.0)
 Description: MySQL-Plugins for nagios.
  Nagios is a replacement of the Netsaint project. It accept and uses the
  previous Netsaint modules transparently.

## noris-nagios-mysqlplugins 6.0-2

=== debian/changelog ===
noris-nagios-mysqlplugins (6.0-2) squeeze; urgency=low

  * merge with nagios-plugins-contrib 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 12 Nov 2012 12:00:06 +0100

noris-nagios-mysqlplugins (6.0-1) squeeze; urgency=low

  * First Build for squeeze

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 24 Feb 2011 15:58:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: noris-nagios-mysqlplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, perl-modules, libnetsaint-noris-perl (>> 1.1), mysql-client, nagios | nagios2 | nagios-nrpe-server | noris-nrpe-server, nagios-plugins-basic
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, perl-modules, libnetsaint-noris-perl (>> 1.1), mysql-client, nagios | nagios2 | nagios-nrpe-server | noris-nrpe-server, nagios-plugins-basic, nagios-plugins-contrib
 Build-Depends: libdbi-perl
 Description: MySQL-Plugins for nagios.
  Nagios is a replacement of the Netsaint project. It accept and uses the

## noris-nagios-mysqlplugins 7.1-1

=== debian/changelog ===
noris-nagios-mysqlplugins (7.1-1) wheezy; urgency=low

  * no dependency for nagios2

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 14 Jul 2014 02:42:52 +0200

noris-nagios-mysqlplugins (7.1-0) wheezy; urgency=low

  * duplicate definition check_mysql_slave 

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 02 May 2013 14:19:23 +0200

noris-nagios-mysqlplugins (7.0-1) wheezy; urgency=low

  * New Build 4 wheezy 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 12 Nov 2012 12:53:30 +0100

## noris-nagios-mysqlplugins 7.2

=== debian/changelog ===
noris-nagios-mysqlplugins (7.2) jessie; urgency=medium

  * First build for jessie 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 27 Jul 2015 14:00:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: noris-nagios-mysqlplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, perl-modules, libnetsaint-noris-perl (>> 1.1), mysql-client, nagios | nagios2 | nagios-nrpe-server | noris-nrpe-server, nagios-plugins-basic, nagios-plugins-contrib
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdbi-perl, libdbd-mysql-perl, perl-modules, libnetsaint-noris-perl (>> 1.1), mysql-client, nagios | nagios3 | nagios-nrpe-server | noris-nrpe-server, nagios-plugins-basic
 Build-Depends: libdbi-perl
 Description: MySQL-Plugins for nagios.
  Nagios is a replacement of the Netsaint project. It accept and uses the
